package com.liang.service;

import com.liang.entity.StaDirector;
import com.liang.entity.StaSchedule;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;

/**
 * 进度安排(StaSchedule)表服务接口
 *
 * @author makejava
 * @since 2023-04-09 22:07:01
 */
public interface StaScheduleService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    StaSchedule queryById(Integer id);

    /**
     * 通过主表查询数据
     *
     * @param zb 主键
     * @return 实例对象
     */
    List<StaSchedule> queryByZbId(Integer zb);

    /**
     * 分页查询
     *
     * @param staSchedule 筛选条件
     * @param pageRequest 分页对象
     * @return 查询结果
     */
    Page<StaSchedule> queryByPage(StaSchedule staSchedule, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param staSchedule 实例对象
     * @return 实例对象
     */
    StaSchedule insert(StaSchedule staSchedule);

    /**
     * 修改数据
     *
     * @param staSchedule 实例对象
     * @return 实例对象
     */
    StaSchedule update(StaSchedule staSchedule);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 批量插入
     *
     * @param list
     * @return
     */
    int insertBatch(List<StaSchedule> list);

    /**
     * 根据主表id删除记录
     *
     * @param zbId
     * @return
     */
    boolean deleteByZbId(Integer zbId);
}
